Vaults
✅ Validado on-chain (Sepolia, ERC-4337)
Suite adv-write — ERC-4626 mint (2-op approve+deposit) + shares transfer/approve/allowance validados on-chain.
Gerada automaticamente do spec OpenAPI da API (fonte de verdade). 14 endpoint(s).
List vaults
GET /v1/vaults
List all deployed vaults
Auth: api-key
Respostas: 200, 401
Deploy vault
POST /v1/vaults
Deploy a new ERC-4626 tokenized vault contract
Auth: api-key
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|
Respostas: 201, 400, 401
Get vault
GET /v1/vaults/{id}
Get vault details by ID
Auth: api-key
Path params: id
Respostas: 200, 401, 404
Convert vault shares/assets
GET /v1/vaults/{id}/convert
Convert between shares and assets
Auth: api-key
Path params: id
Respostas: 200, 401, 404
Deposit to vault
POST /v1/vaults/{id}/deposit
Deposit assets into the vault
Auth: api-key
Path params: id
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|
Respostas: 201, 400, 401
Get vault limits
GET /v1/vaults/{id}/limits
Get max deposit, withdraw, mint, and redeem limits for an address
Auth: api-key
Path params: id
Respostas: 200, 401, 404
Mint vault shares
POST /v1/vaults/{id}/mint
Mint vault shares by depositing assets
Auth: api-key
Path params: id
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|
Respostas: 201, 400, 401
Preview vault conversion
GET /v1/vaults/{id}/preview
Preview the result of a deposit or withdrawal conversion
Auth: api-key
Path params: id
Respostas: 200, 401, 404
Redeem vault shares
POST /v1/vaults/{id}/redeem
Redeem vault shares for underlying assets
Auth: api-key
Path params: id
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|
Respostas: 201, 400, 401
Get share allowance
GET /v1/vaults/{id}/shares/allowance
Query ERC-20 allowance for vault share token
Auth: api-key
Path params: id
Respostas: 200
Approve share spending
POST /v1/vaults/{id}/shares/approve
Approve a spender to transfer vault shares on behalf of the owner
Auth: api-key
Path params: id
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|
Respostas: 201, 400
Get share balance
GET /v1/vaults/{id}/shares/balance
Query ERC-20 balanceOf for vault share token
Auth: api-key
Path params: id
Respostas: 200
Transfer vault shares
POST /v1/vaults/{id}/shares/transfer
Transfer vault share tokens to another address
Auth: api-key
Path params: id
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|
Respostas: 201, 400
Withdraw from vault
POST /v1/vaults/{id}/withdraw
Withdraw assets from the vault
Auth: api-key
Path params: id
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|
Respostas: 201, 400, 401